/////////////////////////////////TEXTURES

#declare Binnenmuur=
texture{  pigment  { color rgb <1, 1, 0>}
     finish  {ambient 0.12 specular 0.36 }}

#declare Muur=texture{
pigment { brick <0.77,0.75,0.75>,<0.52,0.19,0.19>
          brick_size <0.18,0.045,0.09>
           mortar 0.01 }
 finish{ ambient 0.21  diffuse 0.59}}

#declare Band = texture{
  pigment {color rgb<0.75,0.75,0.75>  }
  normal  {dents 0.09  }
  finish { ambient 0.41  diffuse 0.69}
}

#declare Gordijn = texture{
  pigment {color rgbf<1,1,1,0.4>  }
  normal  {dents 0.09  }
  finish { ambient 0.41  diffuse 0.69}
}

/////////////////////////OBJECT DECLARATIES

#declare BandLinks= box{<-0.01,0,0> <0.95, 0.11, 0.40>texture{Band}}
#declare BandMidden=box{<2.06,0,0><3.42, 0.11, 0.40>texture{Band}}
#declare BandRechts=box{<4.54,0,0> <7.99, 0.11, 0.40>texture{Band}}
#declare Raamopening=intersection{
                          cylinder{ <0,0,0>,<0,0,1.1>, 2.1467}
                          box{<0, 0, 0> <1, 1, 1.2>
                                  scale <1.13, 1.6, 1>
                                  translate <-0.565, 0.546, -0.1>}
                          translate <0.565,-0.546,-0.1>
                         } //linkerbenedenhoek in <0,0,0>} }
#declare Boog=intersection{
              difference{ cylinder{ <0,0,0>,<0,0,0.6>, 2.31567}
                          cylinder{ <0,0,-0.1>,<0,0,7>, 2.1467}
                          }
                          box{<0,0,0><1,1,1.2>
                          scale<1.35,2,1>
                          translate<-0.675,0.546,-0.1>}
                          translate <0.675,-2.1467,0>
                          texture{Band}
                          }
#declare Venster=object{
union{
difference{             //VENSTER
object{Raamopening}
object{Raamopening scale <0.9, 0.9 ,1.1> //opening
      translate <0.056 0.075, 0>} //centreer opening
      scale <1,1,0.13> //pas de dikte aan
      pigment{Gold}}
box{<0,0,0><1.14,0.08,0.10>translate<-0.005,1.0,-0.01>pigment{Gold}} //bovenste dwarsbalk
box{<0,0,0><0.06,1.01,0.1>translate<0.54,0,-0.01>pigment{Gold}} //verticale balk
cylinder //  gordijnbaar
{ <0,0,0>,<1.13,0,0>,  0.01  translate <0,0.6,0.3>  pigment{Red}}
box //gordijn
{<0,0,0><1.13,0.6,0.001>translate<0,0,0.3>texture{Gordijn}}

box//ruit
{<0,0,0><1.13,1.6,0.001>translate<0,0,0.10>texture{T_Glass2}}
 }
}

/////////LICHTBRONNEN

light_source{<2, 5.9, 0.5> color red 0.251 green 0.251 blue 0  fade_distance 2
fade_power 2}
light_source{<1, 2.8, 2.5> color red 0.251 green 0.251 blue 0  fade_distance 2
fade_power 2}
light_source{<4.52, 2.8, 3> color red 0.251 green 0.251 blue 0  fade_distance 2
fade_power 2}

//////////////////OBJECTEN

//zijgevel Links Voor
     box{ <0, 0, 0> <0.6, 6, 4>
          translate <0, 0, 0.01>
          texture{Binnenmuur}}
//vloer
      box{ <0, 0, 0> <8, 0.1, 4>
           translate <0, 0.01, 0.01>
           texture{Binnenmuur}}
//plafond
     box{ <0, 0, 0> <8, 0.1, 4>
          translate <0, 3.5, 0.0001>
          texture{Binnenmuur}}
//achtergevel
box{ <-1, -1, -1>
    <1, 1, 1>
     scale <3.995, 3.0000, 0.30>
    translate <3.995, 3.000, 4.00>
    texture{Binnenmuur}}

//muren gebaseerd op een baksteen van 4,5 x 9 x18
// mortel inclusief(een zijde) wordt dit 5,5 x 10 x 19
difference{
      box{<0,0,0><7.99,6,0.6>} //voorgevel
object{Raamopening
      translate <0.94, 1, -0.1>}
object{Raamopening
    translate <0.94, 3.5, -0.1>}
object{Raamopening
    translate <3.41, 3.5, -0.1>}
object{Raamopening                     //deuropening
    scale <1,1.6525,1>
    translate <3.41, 0, -0.1>}
texture{Muur scale 2.01}
}
//vensterdorpel links onder
box{<0,0,0> <3.41, 0.11, 0.60>
    translate<0.01 , 0.90, -0.01>
    texture{Band}}
//vensterdorpel boven
box{<0,0,0> <8.01, 0.11, 0.6>
    translate<-0.01 , 3.40, -0.01>
    texture{Band}}
object{BandLinks //benedenvenster 1
    translate<0.00 , 1.50, -0.01>}
object{BandLinks  //benedenvenster 2
    translate<0.00 , 2.0, -0.01>}
object{BandLinks //benedenvenster 3
    translate<0.00 , 2.45, -0.01>}
object{BandLinks //bovenvenster 1
    translate<0.00 , 4.00, -0.01>}
object{BandLinks //bovenvenster 2
    translate<0.00 , 4.50, -0.01>}
object{BandLinks  //bovenvenster 3
    translate<0.00 , 4.95, -0.01>}
object{BandMidden //benedenvenster 1
       translate<0,1.50,-0.01>}
object{BandMidden //benedenvenster 2
       translate<0,2.0,-0.01>}
object{BandMidden //benedenvenster 3
       translate<0,2.45,-0.01>}
object{BandMidden //bovenvenster 1
       translate<0,4.0,-0.01>}
object{BandMidden //bovenvenster 2
       translate<0,4.50,-0.01>}
object{BandMidden //bovenvenster 3
       translate<0,4.95,-0.01>}
object{BandRechts //vensterdorpel rechts
    translate<0.00 , 0.90, -0.01>}
object{BandRechts //benedenvenster 1
    translate<0.00 , 1.50, -0.01>}
object{BandRechts //benedenvenster 2
    translate<0.00 , 2.00, -0.01>}
object{BandRechts //benedenvenster 3
    translate<0.00 , 2.45, -0.01>}
object{BandRechts //bovenvenster 1
    translate<0.00 , 4.00, -0.01>}
object{BandRechts //bovenvenster 2
    translate<0.00 , 4.50, -0.01>}
object{BandRechts //bovenvenster 3
    translate<0.00 , 4.95, -0.01>}

object{Boog translate <0.83,2.60,-0.01>}//venster links beneden
object{Boog translate <0.83,5.10,-0.01>}//venster Links boven
object{Boog translate <3.30,2.60,-0.01>}//deur
object{Boog translate <3.30,5.10,-0.01>}//venster midden


box{<-0.01, 0, -0.01>< 3.42,  0.50, 0.6> pigment{Grey}} //cimentering L.
box{< 4.53, 0, -0.01>< 8.00,  0.50, 0.6> pigment{Grey}} //cimentering R.

box{<0, 0, 0>< 1.13,  0.10, 0.6> translate<3.41,0,0.001>pigment{Pink}} //dorpel 1
box{<0, 0, 0>< 1.13,  0.10, 0.6> translate<3.41,0.10,0.20>pigment{Pink}} //dorpel 2

object{Venster translate<0.94,1,0.31>} //Links beneden
object{Venster translate<0.94,3.5,0.31>} //Links boven
object{Venster translate<3.41,3.5,0.31>} //midden boven

difference{  //deurkozijn
object{Raamopening scale <1,1.6525,1>}
object{Raamopening scale <0.9,1.525,1.1> translate<0.05,0.1,-0.01>}
                   scale <1,1,0.2> //dikte kozijn
                   pigment{Gold}
    translate <3.41, 0, 0.31> // zet deurkozijn op de plaats
}
box{<0,0,0><1.13,0.1,0.1>translate<3.41,2,0.31>pigment{Gold}} //dwarsbalk deur

difference{   //deurpaneel
box{<0,0,0><1.13,2,0.2>translate<3.41,0,0.41>}
box{<0,0,0><0.73,1,1>translate<3.6,0.9,0>}
box{<0,0,0><0.73,0.5,0.25>translate<3.6,0.2,0.42>}
pigment{Brown}
}
box{<0,0,0><1.13,0.6,0.00,>translate<3.41,2,0.6>texture{T_Glass3}}
box{<0,0,0><1.13,1.6,0.00,>translate<3.41,0.8,0.6>texture{T_Glass3}}

//dak
box{<0,0,0><7.99,0.01,4>rotate<-45,0,0>translate<0,6,0>pigment{Black}}

//dakgoot
box{<0,0,0><7.99,0.01,0.3>translate<0,5.75,-0.3>texture{Gordijn}}
difference{
box{<0,0,0><7.99,0.3,0.03>translate<0,5.7,-0.3>}
box{<0,0,0><7.99,0.01,0.01>rotate<45,0,0>translate<0,5.8,-0.305>}
box{<0,0,0><7.99,0.01,0.01>rotate<45,0,0>translate<0,5.9,-0.305>}
texture{Gordijn}
}
